MonoMac 0.0.0.0 System.Enum MonoMac.ObjCRuntime.Since(3, 2) System.Flags Describes the style of a font.

You can use this to query trait information about a font.

`void ShowInfo (CTFont font) { var traits = font.GetTraits (); if (traits.Bold) Console.WriteLine ("Bold font, weight={0}", traits.Weight); if (traits.Italic) Console.WriteLine ("Italic font, slant={0}", traits.Slant); if (traits.Condensed || traits.Expanded) Console.WriteLine ("Condensed/Expanded font, width={0}", traits.Width); if (traits.ColorGlyphs) Console.WriteLine ("Font has colored glyphs"); if (traits.MonoSpace) Console.WriteLine ("Font is monospaced"); if (traits.Vertical) Console.WriteLine ("Font contains vertical metrics"); }`
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits This is a bold font. If querying you can get more information about the weight from the property.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits This font contains glyphs with colors (for example, some Emoji fonts).
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits To be added.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits This is a condensed font. If querying you can get more information about the width from the property.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits This is an expanded font.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits This is an italic font. If querying you can get more information about the slant from the property.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits To be added.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits Use fixed fonts if available.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits Used when no values are set.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits The font is optimized for UI rendering.
- Field
  0.0.0.0
  MonoMac.CoreText.CTFontSymbolicTraits The font has vertical information for rendering.